@import './../../common/styles/colors.scss';
@import './../../common/styles/mixins.scss';

.stepper {
  width: 100%;
  margin: 10px 0;

  &__steps {
    width: 100%;
    flex-wrap: wrap;
    @include center();

    &__step {
      position: relative;
      width: 30%;
      min-width: 300px;
      margin: 5px 0;
      @include center();

      @include small {
        justify-content: start;
      }

      &__number {
        font-family: 'SevenOneEight-ExtraBold', sans-serif;
        font-size: 54px;
        font-weight: bolder;
        color: $red;
        margin: 0 5px;
      }

      &__content {
        font-size: 14px;

        &--red {
          font-weight: bolder;
          font-family: 'SevenOneEight-Black', sans-serif;
          color: $red;
        }
      }

      &__line {
        position: absolute;
        height: 30px;
        width: 1px;
        background-color: $darkGray;
        left: 20px;
        bottom: -15px;
        display: none;

        @include small {
          display: inherit;
        }

      }
    }

  }

  &__action {
    margin: 30px;
    @include center();

    @include small {
      margin-top: 0;
    }

    button {
      background-color: $red;
      border: unset;
      outline: none;
      color: $white;
      padding: 10px;
      width: 250px;
      @include transition();

      &:hover {
        @include scale(0.98);
      }
    }
  }
}